# ``twisted`.`mail`.`interfaces`.`IClientAuthentication``

interface documentation

`class IClientAuthentication(Interface): (source)`

Known implementations: `twisted.mail._cred.CramMD5ClientAuthenticator`, `twisted.mail._cred.LOGINAuthenticator`, `twisted.mail._cred.PLAINAuthenticator`, `twisted.mail.smtp.PLAINAuthenticator`

View In Hierarchy

Undocumented

Method | `challengeResponse` | Generate a challenge response string.
Method | `getName` | Return an identifier associated with this authentication scheme.

def challengeResponse(secret, challenge): (source)
Generate a challenge response string.
def getName(): (source)
Return an identifier associated with this authentication scheme.

Returns
`bytes` | Undocumented